fmt_asn1derlength(3)

NAME
fmt_asn1derlength - encode unsigned integer like ASN.1 DER length

SYNTAX
#include <libowfat/fmt.h> size_t fmt_asn1derlength(char *dest,unsigned long long source);

DESCRIPTION
fmt_asn1derlength encodes an unsigned integer using the ASN.1 DER for encoding tag lengths. This can take from 1 byte (0-0x7f) up to sizeof(source)+1 bytes. If dest equals FMT_LEN (i.e. is NULL), fmt_asn1derlength returns the number of bytes it would have written. For convenience, fmt.h defines the integer FMT_ASN1LENGTH to be big enough to contain every possible fmt_asn1derlength output.

SEE ALSO
scan_asn1derlength(3)